Export MDX Query Data

Exports cube data by executing a custom MDX query.

Required Roles

Service Administrator

REST Resource

POST /HyperionPlanning/rest/v3/applications/{appname}/plantypes/{plantype}/exportmdxdata

Request

Table 3-621 Parameters

Name Description Type Required Default
appname The name of the application. path Yes None
plantype The name of the plan type or cube. path Yes None
mdxQuery The MDX query to execute against the specified cube. payload Yes None
exportPlanningData Indicates whether to export Planning-formatted values. payload No false
formatPercentageAsPercent Indicates whether to format percentage values as percent strings. payload No false

Example request body:

{
  "mdxQuery": "SELECT {[Account].[Min Salary]} ON COLUMNS, {[Grades].[Grade 1]} ON ROWS FROM [Vision].[Plan1] WHERE ([Scenario].[Current],[Version].[BU Version_1],[Currency].[USD],[Years].[FY17],[Period].[Jan],[Entity].[No Entity])",
  "exportPlanningData": false,
  "formatPercentageAsPercent": false
}

Example URL

https://<BASE-URL>/HyperionPlanning/rest/v3/applications/Vision/plantypes/Plan1/exportmdxdata

Response

Supported Media Types: application/json

Table 3-622 Response Parameters

Name Description
pov The member selections defining the point of view.
columns The member headings for the grid columns.
rows The row headings and corresponding cell values.
rows[].headers The member headings identifying the row.
rows[].data The cell values corresponding to the column headings.

Sample Response

{
  "pov": [
    "Current",
    "BU Version_1",
    "USD",
    "FY17",
    "Jan",
    "No Entity"
  ],
  "columns": [
    [
      "Min Salary"
    ]
  ],
  "rows": [
    {
      "headers": [
        "Grade 1"
      ],
      "data": [
        10000
      ]
    }
  ]
}